mbedtls_sha256_context Struct Reference

The SHA-256 context structure. More...

`#include <sha256.h>`

## Data Fields

uint32_t | total [2]
uint32_t | state [8]
unsigned char | buffer [64]
int | is224

## Detailed Description

The SHA-256 context structure.

The structure is used both for SHA-256 and for SHA-224 checksum calculations. The choice between these two is made in the call to mbedtls_sha256_starts_ret().

Definition at line 53 of file sha256.h.

## Field Documentation

## buffer

unsigned char mbedtls_sha256_context::buffer[64]

The data block being processed.

Definition at line 57 of file sha256.h.

## is224

int mbedtls_sha256_context::is224

Determines which function to use.

- 0: Use SHA-256.
- 1: Use SHA-224.

Definition at line 58 of file sha256.h.

## state

uint32_t mbedtls_sha256_context::state[8]

The intermediate digest state.

Definition at line 56 of file sha256.h.

## total

uint32_t mbedtls_sha256_context::total[2]

The number of Bytes processed.

Definition at line 55 of file sha256.h.

The documentation for this struct was generated from the following file:

- sha256.h